# EXTDebugLabel (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengles
Class EXTDebugLabel

    java.lang.Object
      org.lwjgl.opengles.EXTDebugLabel

    public final class EXTDebugLabel

extends java.lang.Object

Field Summary
`static int` `GL_BUFFER_OBJECT_EXT` Accepted by the <type> parameter of LabelObjectEXT and GetObjectLabelEXT:
`static int` `GL_PROGRAM_OBJECT_EXT` Accepted by the <type> parameter of LabelObjectEXT and GetObjectLabelEXT:
`static int` `GL_PROGRAM_PIPELINE_OBJECT_EXT` Accepted by the <type> parameter of LabelObjectEXT and GetObjectLabelEXT:
`static int` `GL_QUERY_OBJECT_EXT` Accepted by the <type> parameter of LabelObjectEXT and GetObjectLabelEXT:
`static int` `GL_SHADER_OBJECT_EXT` Accepted by the <type> parameter of LabelObjectEXT and GetObjectLabelEXT:
`static int` `GL_VERTEX_ARRAY_OBJECT_EXT` Accepted by the <type> parameter of LabelObjectEXT and GetObjectLabelEXT:

Method Summary
`static java.lang.String` `glGetObjectLabelEXT(int type, int object, int bufSize)` Overloads glGetObjectLabelEXT.
`static void` `glGetObjectLabelEXT(int type, int object, java.nio.IntBuffer length, java.nio.ByteBuffer label)`
`static void` `glLabelObjectEXT(int type, int object, java.nio.ByteBuffer label)`
`static void` `glLabelObjectEXT(int type, int object, java.lang.CharSequence label)` Overloads glLabelObjectEXT.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_BUFFER_OBJECT_EXT

    public static final int GL_BUFFER_OBJECT_EXT

  Accepted by the <type> parameter of LabelObjectEXT and GetObjectLabelEXT:

  See Also:
    Constant Field Values

### GL_SHADER_OBJECT_EXT

    public static final int GL_SHADER_OBJECT_EXT

  Accepted by the <type> parameter of LabelObjectEXT and GetObjectLabelEXT:

  See Also:
    Constant Field Values

### GL_PROGRAM_OBJECT_EXT

    public static final int GL_PROGRAM_OBJECT_EXT

  Accepted by the <type> parameter of LabelObjectEXT and GetObjectLabelEXT:

  See Also:
    Constant Field Values

### GL_VERTEX_ARRAY_OBJECT_EXT

    public static final int GL_VERTEX_ARRAY_OBJECT_EXT

  Accepted by the <type> parameter of LabelObjectEXT and GetObjectLabelEXT:

  See Also:
    Constant Field Values

### GL_QUERY_OBJECT_EXT

    public static final int GL_QUERY_OBJECT_EXT

  Accepted by the <type> parameter of LabelObjectEXT and GetObjectLabelEXT:

  See Also:
    Constant Field Values

### GL_PROGRAM_PIPELINE_OBJECT_EXT

    public static final int GL_PROGRAM_PIPELINE_OBJECT_EXT

  Accepted by the <type> parameter of LabelObjectEXT and GetObjectLabelEXT:

  See Also:
    Constant Field Values

Method Detail

### glLabelObjectEXT

    public static void glLabelObjectEXT(int type,
                                        int object,
                                        java.nio.ByteBuffer label)

### glLabelObjectEXT

    public static void glLabelObjectEXT(int type,
                                        int object,
                                        java.lang.CharSequence label)

  Overloads glLabelObjectEXT.

### glGetObjectLabelEXT

    public static void glGetObjectLabelEXT(int type,
                                           int object,
                                           java.nio.IntBuffer length,
                                           java.nio.ByteBuffer label)

### glGetObjectLabelEXT

    public static java.lang.String glGetObjectLabelEXT(int type,
                                                       int object,
                                                       int bufSize)

  Overloads glGetObjectLabelEXT.

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.